package com.zcloud.service.onlinexxks.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno3.teacher.TeacherCertificateMapper;
import com.zcloud.service.onlinexxks.TeacherCertificateService;

/**
 * 说明：教师证书信息
 * 作者：luoxiaobao
 * 时间：2022-03-04
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class TeacherCertificateServiceImpl implements TeacherCertificateService {

	@Autowired
	private TeacherCertificateMapper teachercertificateMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		teachercertificateMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		teachercertificateMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		teachercertificateMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return teachercertificateMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return teachercertificateMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return teachercertificateMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		teachercertificateMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return teachercertificateMapper.findByIds(pd);
	}

	/**列表(根据教师ID获取证书数据)
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> listByTeacher(PageData pd) throws Exception {
		return teachercertificateMapper.listByTeacher(pd);
	}

	/**删除(根据教师ID删除证书数据)
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public void deleteByTeacher(PageData pd) throws Exception {
//		List<PageData> list = teachercertificateMapper.listByTeacher(pd);
//		for (PageData c : list) {
//			if (StringUtils.isNotBlank(c.getString("CERTIFICATE_FILEPATH"))) {
//				Smb.deleteFile(c.getString("CERTIFICATE_FILEPATH"));
//			}
//		}
		teachercertificateMapper.deleteByTeacher(pd);
	}

	@Override
	public void deleteByTeacherAll(PageData pd) throws Exception {
		List<PageData> list = teachercertificateMapper.listByTeacherAll(pd);
//		for (PageData c : list) {
//			if (StringUtils.isNotBlank(c.getString("CERTIFICATE_FILEPATH"))) {
//				Smb.deleteFile(c.getString("CERTIFICATE_FILEPATH"));
//			}
//		}
		teachercertificateMapper.deleteByTeacherAll(pd);
	}
}

